// Twitter widget script
window.twttr = (function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0],
    t = window.twttr || {};
  if (d.getElementById(id)) return t;
  js = d.createElement(s);
  js.id = id;
  js.src = "https://platform.twitter.com/widgets.js";
  fjs.parentNode.insertBefore(js, fjs);

  t._e = [];
  t.ready = function(f) {
    t._e.push(f);
  };

  return t;
}(document, "script", "twitter-wjs"));

// Ensure music plays automatically
document.addEventListener('DOMContentLoaded', function() {
  const audio = document.getElementById('background-music');
  audio.volume = 0.3; // Set volume to 30%
  audio.play().catch(error => {
    console.log('Autoplay was prevented. Please interact with the page to play music.');
  });
});

// Enable music playback on user interaction
document.body.addEventListener('click', function() {
  const audio = document.getElementById('background-music');
  if (audio.paused) {
    audio.play();
  }
});